import { Component, Prop, h } from '@stencil/core';
import { checkCircleFilled } from '@teliads/icons';
export class TeliaFieldValid {
  render() {
    return h("telia-icon", { size: "md", svg: checkCircleFilled.svg });
  }
  static get is() { return "telia-field-valid"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["telia-field-valid.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["telia-field-valid.css"]
  }; }
  static get properties() { return {
    "dataTestid": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Test id set for web component host"
      },
      "attribute": "data-testid",
      "reflect": false
    }
  }; }
}
